<template>
  <div class="container draw">
    <div style="margin-bottom: 10px" ref="btnPanel">
      <el-button
        plain
        class="btn btn-plus"
      >
        上级交办任务清单
      </el-button>
      <el-button
        plain
        class="btn btn-delete"
        @click="toPage"
      >
        自主探索改革项目清单
      </el-button>
    </div>
    <div>
    <el-card class="card-box" v-for="(item, index) in list" :key="index">
      <div class="top">
        <div class="title">
          <h1>{{ item.title }}</h1>
          <p class="card-box-tip"></p>
        </div>
      </div>
      <div class="card-bigbox">
        <div
          class="card-box-item"
          v-for="(action, index) in item.children"
          :key="index"
        >
          <div class="left">
            <div class="img-box">
              <span class="info">{{ action.value }}</span>
              <img
                v-if="action.type === 0"
                src="../../assets/img/待更新.svg"
                alt=""
              />
              <img
                v-else-if="action.type === 1"
                src="../../assets/img/待审核.svg"
                alt=""
              />
              <img v-else src="../../assets/img/待确认.svg" alt="" />
            </div>
          </div>
          <div class="right">
            <div @click="goToPage(action.url)" class="right-text">
              <span>{{ action.name }}</span>
            </div>
            <p class="right-tip">
              {{ action.name
              }}{{
                action.type === 0
                  ? '待更新'
                  : action.type === 1
                  ? '待审核'
                  : '待确认'
              }}
            </p>
          </div>
        </div>
      </div>
      <!-- <el-divider></el-divider> -->
    </el-card>
    
    </div>
    <div class="no-list" v-if="!list.length">
      <el-empty class="img-text" description="暂无待办事项~"></el-empty>
    </div>
  </div>
</template>

<script>
import api from '@/api/worktable/worktable.js'
export default {
  data() {
    return {
      list: []
    }
  },
  mounted() {
    this.getData()
  },
  methods: {
    goToPage(url) {
      let path = url
      let alias = `/platLayout/${url}`
      this.$router.push(path)
      this.$bus.$emit('roterPush', alias)
    },
    getData() {
      api.getToDoList(res => {
        let list = [
          {
            title: '改革需求管理',
            children: []
          },
          {
            title: '堵点卡点管理',
            children: []
          },
          {
            title: '成效晾晒管理',
            children: []
          },
          {
            title: '改革试点管理',
            children: []
          },
          {
            title: '重大改革项目',
            children: []
          },
          {
            title: '改革风险管理',
            children: []
          },
          {
            title: '改革满意度管理',
            children: []
          },
          {
            title: '改革会议管理',
            children: []
          },
          {
            title: '市改革办工作事项',
            children: []
          }
        ]
        res.forEach(item => {
          if (item.typeName === '改革需求管理' && item.value > 0) {
            list[0].children.push(item)
          }
          if (item.typeName === '堵点卡点管理' && item.value > 0) {
            list[1].children.push(item)
          }
          if (item.typeName === '成效晾晒管理' && item.value > 0) {
            list[2].children.push(item)
          }
          if (item.typeName === '改革试点管理' && item.value > 0) {
            list[3].children.push(item)
          }
          if (item.typeName === '重大改革项目' && item.value > 0) {
            list[4].children.push(item)
          }
          if (item.typeName === '改革风险管理' && item.value > 0) {
            list[5].children.push(item)
          }
          if (item.typeName === '改革满意度管理' && item.value > 0) {
            list[6].children.push(item)
          }
          if (item.typeName === '改革会议管理' && item.value > 0) {
            list[7].children.push(item)
          }
          if (item.typeName === '事改革办工作事项' && item.value > 0) {
            list[8].children.push(item)
          }
        })
        this.list = list.filter(item => item.children.length > 0)
      })
    },
    toPage() {
				this.$router.push({
					path: 'ReformProjectDetails'
				})
			}
  }
}
</script>

<style lang="scss" scoped>
.top {
  width: 100%;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  .title {
    width: 95%;
    height: 50px;
    padding: 5px 10px;
    background: url('../../assets/img/标题_.png') no-repeat;
    background-size: 100% 100%;
    position: relative;
    h1 {
      position: absolute;
      color: #3ca4fd;
      top: 15px;
      left: 30px;
      margin: 0;
      font-size: 28px;
    }
  }
}
.container {
  width: 100%;
  height: 100%;
  // display: flex;
  // flex-wrap: wrap;
  min-width: 1100px;
  overflow-y: auto;
  .card-box {
    width: 100%;
    box-sizing: border-box;
    display: block;
    margin-bottom: 5px;
    border-radius: 10px;
    .title {
      font-size: 2.5vh;
      color: #485b50;
      font-weight: bold;
      display: inline-block;
      margin-top: 2px;
      margin-left: 5px;
      color: #fff;
    }
    .card-box-tip {
      display: inline-block;
      margin-left: 5px;
      font-size: 1.8vh;
      width: 20%;
      height: 20px;
      text-align: right;
      background: #fff;
      padding: 0 25px 0 0;
      position: absolute;
      top: 0px;
      right: 0px;
      color: #68b9c0;
    }
    .icon {
      display: inline-block;
      width: 4vh;
    }
    img {
      vertical-align: top;
    }
    .card-bigbox {
      width: 100%;
      height: calc(100% - 10px);
      display: flex;
      flex-wrap: wrap;
      justify-content: flex-start;
      padding: 0 15px;
      margin-top: 18px;
      box-sizing: border-box;
      .card-box-item {
        width: 20%;
        box-sizing: border-box;
        display: flex;
        justify-content: space-around;
        align-items: center;
        &:nth-child(5) ~ div {
          margin-top: 15px;
        }
        .left {
          display: inline-block;
          .img-box {
            width: 6rem;
            height: 6rem;
            position: relative;
            .info {
              font-size: 15px;
              position: absolute;
              background: #f56c6c;
              color: #fff;
              display: inline-block;
              top: -0.8vh;
              right: 0;
              border-radius: 50%;
              text-align: center;
              padding: 5px 10px;
            }
            img {
              width: 80%;
              height: 80%;
              border-radius: 15px;
              vertical-align: middle;
            }
          }
        }
        .right {
          width: 80%;
          display: inline-block;
          margin-left: 10px;
          div {
            color: #454444;
            text-decoration: none;
            cursor: pointer;
          }
          .right-text {
            &:hover {
              span {
                color: #5c8eff;
                padding-bottom: 2px;
                border-bottom: 2px solid;
              }
            }
            span {
              font-size: 2vh;
              font-weight: 600;
            }
          }
          .right-tip {
            font-size: 15px;
            font-weight: 500;
          }
        }
      }
    }
  }
}
/deep/ .el-card__body {
  // height: 100% !important;
  box-sizing: border-box !important;
  // background-color: #0f304f;
}
.draw {
  border-radius: 20px;
  padding: 20px;
  box-sizing: border-box;
  background-color: #fff;
  .btn {
    font-weight: 600;
  }
  .no-list {
    height: calc(100% - 55px);
    text-align: center;
    position: relative;
    .img-text {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }
}
</style>
